<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" name="com.liferay.portal.search.internal.permission.SearchResultPermissionFilterFactoryImpl" immediate="true" activate="activate" modified="activate" configuration-pid="com.liferay.portal.search.configuration.DefaultSearchResultPermissionFilterConfiguration">
  <service>
    <provide interface="com.liferay.portal.kernel.search.SearchResultPermissionFilterFactory"/>
  </service>
  <reference name="facetPostProcessor" interface="com.liferay.portal.kernel.search.facet.FacetPostProcessor" field="facetPostProcessor"/>
  <reference name="indexerRegistry" interface="com.liferay.portal.kernel.search.IndexerRegistry" field="indexerRegistry"/>
  <reference name="props" interface="com.liferay.portal.kernel.util.Props" field="props"/>
  <reference name="relatedEntryIndexerRegistry" interface="com.liferay.portal.kernel.search.RelatedEntryIndexerRegistry" field="relatedEntryIndexerRegistry"/>
  <reference name="searchRequestBuilderFactory" interface="com.liferay.portal.search.legacy.searcher.SearchRequestBuilderFactory" field="searchRequestBuilderFactory"/>
  <implementation class="com.liferay.portal.search.internal.permission.SearchResultPermissionFilterFactoryImpl"/>
</scr:component>
